Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package gui.DirectGuiGlobals

## Functions
def | getDefaultClickSound
def | getDefaultDialogGeom
def | getDefaultDrawOrder
def | getDefaultFont
def | getDefaultPanel
def | getDefaultRolloverSound
def | setDefaultClickSound
def | setDefaultDialogGeom
def | setDefaultDrawOrder
def | setDefaultFont
def | setDefaultFontFunc
def | setDefaultPanel
def | setDefaultRolloverSound
## Variables
list | __all__ = []
int | _OPT_DEFAULT = 0
int | _OPT_FUNCTION = 2
int | _OPT_VALUE = 1
tuple | ACCEPT = PGEntry.getAcceptPrefix()
tuple | ACCEPTFAILED = PGEntry.getAcceptFailedPrefix()
tuple | ADJUST = PGSliderBar.getAdjustPrefix()
tuple | B1CLICK = PGButton.getClickPrefix()
tuple | B1PRESS = PGButton.getPressPrefix()
tuple | B1RELEASE = PGButton.getReleasePrefix()
tuple | B2CLICK = PGButton.getClickPrefix()
tuple | B2PRESS = PGButton.getPressPrefix()
tuple | B2RELEASE = PGButton.getReleasePrefix()
tuple | B3CLICK = PGButton.getClickPrefix()
tuple | B3PRESS = PGButton.getPressPrefix()
tuple | B3RELEASE = PGButton.getReleasePrefix()
int | BACKGROUND_SORT_INDEX = 100
| BUTTON_DEPRESSED_STATE = PGButton.SDepressed
| BUTTON_INACTIVE_STATE = PGButton.SInactive
| BUTTON_READY_STATE = PGButton.SReady
| BUTTON_ROLLOVER_STATE = PGButton.SRollover
tuple | CURSORMOVE = PGEntry.getCursormovePrefix()
| defaultClickSound = None
| defaultDialogGeom = None
| defaultFont = None
| defaultFontFunc = TextNode.getDefaultFont
| defaultRolloverSound = None
string | DESTROY = 'destroy-'
int | DIALOG_CANCEL = 1
int | DIALOG_NO = 0
int | DIALOG_OK = 1
string | DISABLED = 'disabled'
int | drawOrder = 100
tuple | ENTER = PGButton.getEnterPrefix()
tuple | ERASE = PGEntry.getErasePrefix()
tuple | EXIT = PGButton.getExitPrefix()
| FLAT = PGFrameStyle.TFlat
int | FOREGROUND_SORT_INDEX = 100
dictionary | FrameStyleDict
int | GEOM_SORT_INDEX = 20
| GROOVE = PGFrameStyle.TGroove
string | HORIZONTAL = 'horizontal'
int | IMAGE_SORT_INDEX = 10
list | INITOPT = ['initopt']
int | LMB = 0
int | MIDGROUND_SORT_INDEX = 0
int | MMB = 1
string | NORMAL = 'normal'
tuple | OVERFLOW = PGEntry.getOverflowPrefix()
| panel = None
string | PRINT = 'print-'
| RAISED = PGFrameStyle.TBevelOut
| RIDGE = PGFrameStyle.TRidge
int | RMB = 2
| SUNKEN = PGFrameStyle.TBevelIn
int | TEXT_SORT_INDEX = 30
| TEXTUREBORDER = PGFrameStyle.TTextureBorder
tuple | TYPE = PGEntry.getTypePrefix()
string | VERTICAL = 'vertical'
string | VERTICAL_INVERTED = 'vertical_inverted'
tuple | WITHIN = PGButton.getWithinPrefix()
tuple | WITHOUT = PGButton.getWithoutPrefix()

## Detailed Description

    Undocumented Module

## Function Documentation

def gui.DirectGuiGlobals.getDefaultClickSound | ( |  | ) |

def gui.DirectGuiGlobals.getDefaultDialogGeom | ( |  | ) |

def gui.DirectGuiGlobals.getDefaultDrawOrder | ( |  | ) |

def gui.DirectGuiGlobals.getDefaultFont | ( |  | ) |

def gui.DirectGuiGlobals.getDefaultPanel | ( |  | ) |

def gui.DirectGuiGlobals.getDefaultRolloverSound | ( |  | ) |

def gui.DirectGuiGlobals.setDefaultClickSound | ( |  | newSound | ) |

def gui.DirectGuiGlobals.setDefaultDialogGeom | ( |  | newDialogGeom | ) |

def gui.DirectGuiGlobals.setDefaultDrawOrder | ( |  | newDrawOrder | ) |

def gui.DirectGuiGlobals.setDefaultFont | ( |  | newFont | ) |

def gui.DirectGuiGlobals.setDefaultFontFunc | ( |  | newFontFunc | ) |

def gui.DirectGuiGlobals.setDefaultPanel | ( |  | newPanel | ) |

def gui.DirectGuiGlobals.setDefaultRolloverSound | ( |  | newSound | ) |

## Variable Documentation

list __all__ = []

int _OPT_DEFAULT = 0

int _OPT_FUNCTION = 2

int _OPT_VALUE = 1

tuple ACCEPT = PGEntry.getAcceptPrefix()

tuple ACCEPTFAILED = PGEntry.getAcceptFailedPrefix()

tuple ADJUST = PGSliderBar.getAdjustPrefix()

tuple B1CLICK = PGButton.getClickPrefix()

tuple B1PRESS = PGButton.getPressPrefix()

tuple B1RELEASE = PGButton.getReleasePrefix()

tuple B2CLICK = PGButton.getClickPrefix()

tuple B2PRESS = PGButton.getPressPrefix()

tuple B2RELEASE = PGButton.getReleasePrefix()

tuple B3CLICK = PGButton.getClickPrefix()

tuple B3PRESS = PGButton.getPressPrefix()

tuple B3RELEASE = PGButton.getReleasePrefix()

int BACKGROUND_SORT_INDEX = 100

BUTTON_DEPRESSED_STATE = PGButton.SDepressed

BUTTON_INACTIVE_STATE = PGButton.SInactive

BUTTON_READY_STATE = PGButton.SReady

BUTTON_ROLLOVER_STATE = PGButton.SRollover

tuple CURSORMOVE = PGEntry.getCursormovePrefix()

defaultClickSound = None

defaultDialogGeom = None

defaultFont = None

defaultFontFunc = TextNode.getDefaultFont

defaultRolloverSound = None

string DESTROY = 'destroy-'

int DIALOG_CANCEL = 1

int DIALOG_NO = 0

int DIALOG_OK = 1

string DISABLED = 'disabled'

int drawOrder = 100

tuple ENTER = PGButton.getEnterPrefix()

tuple ERASE = PGEntry.getErasePrefix()

tuple EXIT = PGButton.getExitPrefix()

FLAT = PGFrameStyle.TFlat

int FOREGROUND_SORT_INDEX = 100

dictionary FrameStyleDict

Initial value:

    00001 {'flat': FLAT, 'raised': RAISED, 'sunken': SUNKEN,
    00002                   'groove': GROOVE, 'ridge': RIDGE,
    00003                   'texture_border': TEXTUREBORDER,
    00004                   }

int GEOM_SORT_INDEX = 20

GROOVE = PGFrameStyle.TGroove

string HORIZONTAL = 'horizontal'

int IMAGE_SORT_INDEX = 10

list INITOPT = ['initopt']

int LMB = 0

int MIDGROUND_SORT_INDEX = 0

int MMB = 1

string NORMAL = 'normal'

tuple OVERFLOW = PGEntry.getOverflowPrefix()

panel = None

string PRINT = 'print-'

RAISED = PGFrameStyle.TBevelOut

RIDGE = PGFrameStyle.TRidge

int RMB = 2

SUNKEN = PGFrameStyle.TBevelIn

int TEXT_SORT_INDEX = 30

TEXTUREBORDER = PGFrameStyle.TTextureBorder

tuple TYPE = PGEntry.getTypePrefix()

string VERTICAL = 'vertical'

string VERTICAL_INVERTED = 'vertical_inverted'

tuple WITHIN = PGButton.getWithinPrefix()

tuple WITHOUT = PGButton.getWithoutPrefix()

All Classes Namespaces Functions Variables Enumerations Enumerator Properties